Get Helm charts from private repository
GET /api/v1/cluster/instances/kubernetes/helm/repository/id//charts. Kubernetes API reference.
Get Helm charts from private repository
Authentication · API availability · Download OpenAPI
Successfully retrieved chart list from private repositoryBad Request. Invalid repository ID format.Unauthorized. Authentication credentials are missing or invalid.Forbidden. User does not have permission to access this private repository.Not Found. Private repository with the specified ID does not exist.Internal Server Error. Failed to retrieve charts from private repository due to server error.An unexpected error response.
Authorizations
Bearer token for the ZedCloud gateway user session
Headers
User-Agent specified id to track a request
Path Parameters
Unique identifier of the Private Repository (required). Example: 'private-repo-abc123'
Response
Successfully retrieved chart list from private repository
Response containing a list of Helm charts with their metadata and versions